﻿------------------------------------------------------------------------------------------
--Setup the Class Power-------------------------------------------------------------------
------------------------------------------------------------------------------------------
local SN, L, F, T, M, _ = unpack(select(2,...))

function SN:ClassPower()
	if F.classpower ~= nil then return end

	F.classpower = CreateFrame("Frame", nil, UIParent)
	F.classpower:SetPoint(unpack(SN.data.profile.frames.classpower))
	F.classpower:SetSize(269, 16)
	F.classpower.frame = nil
	F.classpower.name = "Class Power"

	F.classpower.value = F.classpower:CreateFontString(nil, "OVERLAY")
	F.classpower.value:SetPoint("CENTER", F.classpower, "CENTER", 4, 0)
	F.classpower.value:SetFontObject(GameFontNormal)
	F.classpower.value:SetJustifyH("CENTER")
	F.classpower.value:SetShadowOffset(1, -1)

	SN:SetupRunes()
	SN:SetupCombo()
	SN:SetupHoly()
	SN:SetupEclipse()
	if F.classpower.frame == nil then
		SN.data.profile.classResources.enable = false
	end
end

function SN:ClassEnable()
	SN:ClassPower()
end

function SN:ClassDisable()
	if F.runes ~= nil then
		F.runes:UnregisterAllEvents()
		F.runes = nil
	end
	if F.points ~= nil then
		F.points:UnregisterAllEvents()
		F.points = nil
	end
	if F.holypower ~= nil then
		F.holypower:UnregisterAllEvents()
		F.holypower = nil
	end
	if F.eclipse ~= nil then
		F.eclipse:UnregisterAllEvents()
		F.eclipse = nil
	end
	F.classpower = nil
end